Skip to main content
PATCH
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
lawsuit
/
defendants
/
{defendantId}
curl --request PATCH \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/lawsuit/defendants/{defendantId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "newemail@example.com",
  "phoneNumber": "+1-555-999-8888"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440001",
  "companyId": "660e8400-e29b-41d4-a716-446655440000",
  "lawsuitId": "770e8400-e29b-41d4-a716-446655440000",
  "insuredId": null,
  "nonInsuredName": "John Doe",
  "phoneNumber": "+1-555-999-8888",
  "email": "newemail@example.com",
  "attorneyId": "880e8400-e29b-41d4-a716-446655440000",
  "lawFirmId": null,
  "createdAt": "2026-02-15T10:30:00.000Z",
  "updatedAt": "2026-02-19T14:20:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

eventId
string<uuid>
required

Event identifier

defendantId
string<uuid>
required

Defendant identifier

Body

application/json
insuredId
string<uuid> | null

Update associated insured (send null to clear; mutually exclusive with nonInsuredName)

nonInsuredName
string | null

Update non-insured defendant name (send null to clear; mutually exclusive with insuredId)

phoneNumber
string | null

Update phone number (send null to clear)

email
string | null

Update email address (send null to clear)

attorneyId
string<uuid> | null

Update associated attorney (send null to clear; must reference an existing attorney)

lawFirmId
string<uuid> | null

Update associated law firm (send null to clear; must reference an existing payee)

Response

Updated defendant details

A defendant associated with a lawsuit

id
string<uuid>

Defendant identifier

companyId
string<uuid>

Company identifier

lawsuitId
string<uuid>

Associated lawsuit identifier

insuredId
string<uuid> | null

Associated insured identifier (mutually exclusive with nonInsuredName)

nonInsuredName
string | null

Name of non-insured defendant (mutually exclusive with insuredId)

phoneNumber
string | null

Defendant phone number

email
string<email> | null

Defendant email address

attorneyId
string<uuid> | null

Associated attorney identifier

lawFirmId
string<uuid> | null

Associated law firm payee identifier

createdAt
string<date-time> | null

When the defendant was created (ISO 8601)

updatedAt
string<date-time> | null

When the defendant was last updated (ISO 8601)